# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               roaraudio
Version:            0.99+1.0beta2
%define pkg_version 1.0beta2
%define soname      2
Release:            3.18
Summary:            RoarAudio Sound System
Source:             http://roaraudio.keep-cool.org/dl/roaraudio-%{pkg_version}.tar.gz
URL:                http://roaraudio.keep-cool.org/
Group:              System/Sound Daemons
License:            GPL-3.0+; LGPL-3.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libao-devel
BuildRequires:      alsa-devel
BuildRequires:      libpulse-devel
BuildRequires:      libesd-devel
BuildRequires:      speex-devel
BuildRequires:      liboggz-devel
BuildRequires:      libsndfile-devel
BuildRequires:      libshout-devel
BuildRequires:      libopenssl-devel
BuildRequires:      librsound-devel
BuildRequires:      flac-devel
BuildRequires:      portaudio-devel
BuildRequires:      kernel-devel libdnet-devel
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      update-desktop-files

%description
RoarAudio is a modern, multi OS sound system. Its main purpose is to connect
software (like media players) and devices (like soundcards) as a mid-layer
adding features you expect from a modern sound system like software mixing and
full network transparency.

RoarAudio can also be used to connect multiple software components. An example
for such a setup is a common webradio setup where the used playback software is
connected to a streaming server in addition to a local soundcard. RoarAudio has
special features for such setups like meta data passing. 

%package devel
Summary:            Development Environment for the RoarAudio Sound System
Group:              Development/Libraries/C and C++
Requires:           %{name} = %{version}

%description devel
RoarAudio is a modern, multi OS sound system. Its main purpose is to connect
software (like media players) and devices (like soundcards) as a mid-layer
adding features you expect from a modern sound system like software mixing and
full network transparency.

RoarAudio can also be used to connect multiple software components. An example
for such a setup is a common webradio setup where the used playback software is
connected to a streaming server in addition to a local soundcard. RoarAudio has
special features for such setups like meta data passing. 

%prep
%setup -q -n "roaraudio-%{pkg_version}"

%build
./configure \
    --cflags "%{optflags}" \
    --cc "%__cc" \
    --cdrom /dev/cdrom \
    --audio-group audio \
    --runtime-detect \
    --prefix "%{_prefix}" \
    --prefix-lib "%{_libdir}" \
    --prefix-man "%{_mandir}" \
    --default-rate 44100 \

%__make %{?_smp_mflags} \
    OPTI_O="%{optflags}" \
    CC="%__cc"

%install
%__make install DESTDIR="%{buildroot}"

for l in artsc Y2; do
    %__rm "%{buildroot}%{_libdir}/roaraudio/complibs/lib${l}".*
done

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING* HACKING README TODO
%{_bindir}/roar-config
%{_bindir}/roarbidir
%{_bindir}/roarcat
%{_bindir}/roarcatplay
%{_bindir}/roarcatvio
%{_bindir}/roarclientpass
%{_bindir}/roarctl
%{_bindir}/roard
%{_bindir}/roardtmf
%{_bindir}/roarfilt
%{_bindir}/roarify
%{_bindir}/roarinterconnect
%{_bindir}/roarlight
%{_bindir}/roarmon
%{_bindir}/roarmonhttp
%{_bindir}/roarphone
%{_bindir}/roarpluginapplication
%{_bindir}/roarpluginrunner
%{_bindir}/roarradio
%{_bindir}/roarshout
%{_bindir}/roarsin
%{_bindir}/roarsockconnect
%{_bindir}/roartypes
%{_bindir}/roarvio
%{_bindir}/roarvorbis
%{_bindir}/roarvumeter
%{_libdir}/libroar.so.%{soname}
%{_libdir}/libroardsp.so.%{soname}
%{_libdir}/libroareio.so.%{soname}
%{_libdir}/libroaresd.so.%{soname}
%{_libdir}/libroarlight.so.%{soname}
%{_libdir}/libroarmidi.so.%{soname}
%{_libdir}/libroaross.so.%{soname}
%{_libdir}/libroarpulse.so.%{soname}
%{_libdir}/libroarpulse-simple.so.%{soname}
%{_libdir}/libroarrsound.so.%{soname}
%{_libdir}/libroarsndio.so.%{soname}
%dir %{_libdir}/roaraudio
%dir %{_libdir}/roaraudio/compbins
%{_libdir}/roaraudio/compbins/*
%dir %{_libdir}/roaraudio/complibs
%{_libdir}/roaraudio/complibs/lib*.so.*
%dir %{_libdir}/roaraudio/plugins
%dir %{_libdir}/roaraudio/plugins/0-RoarAudio
%dir %{_libdir}/roaraudio/plugins/0-RoarAudio/roard
%dir %{_libdir}/roaraudio/plugins/0-RoarAudio/roard/0-RoarAudio
%{_libdir}/roaraudio/plugins/0-RoarAudio/roard/0-RoarAudio/daytime.so
%{_libdir}/roaraudio/plugins/0-RoarAudio/roard/0-RoarAudio/discard.so
%{_libdir}/roaraudio/plugins/0-RoarAudio/roard/0-RoarAudio/echo.so
%{_libdir}/roaraudio/plugins/0-RoarAudio/roard/0-RoarAudio/irc.so
%{_libdir}/roaraudio/plugins/0-RoarAudio/roard/0-RoarAudio/listenpty.so
%{_libdir}/roaraudio/plugins/0-RoarAudio/roard/0-RoarAudio/tic-tac-toe.so
%dir %{_libdir}/roaraudio/plugins/universal
%dir %{_libdir}/roaraudio/plugins/universal/universal
%dir %{_libdir}/roaraudio/plugins/universal/universal/0-RoarAudio
%{_libdir}/roaraudio/plugins/universal/universal/0-RoarAudio/helloworld.so
%{_libdir}/roaraudio/plugins/universal/universal/0-RoarAudio/plugin-info.so
%doc %{_mandir}/man1/*.1*
%doc %{_mandir}/man7/*.7*

%files devel
%defattr(-,root,root)
%{_includedir}/roaraudio.h
%{_includedir}/libroar*
%{_includedir}/roaraudio
%dir %{_libdir}/ckport
%dir %{_libdir}/ckport/db
%{_libdir}/ckport/db/libroar.ckport
%{_libdir}/libroar.so
%{_libdir}/libroardsp.so
%{_libdir}/libroareio.so
%{_libdir}/libroaresd.so
%{_libdir}/libroarlight.so
%{_libdir}/libroarmidi.so
%{_libdir}/libroaross.so
%{_libdir}/libroarpulse.so
%{_libdir}/libroarpulse-simple.so
%{_libdir}/libroarrsound.so
%{_libdir}/libroarsndio.so
%{_libdir}/pkgconfig/libroar.pc
%{_libdir}/pkgconfig/libroardsp.pc
%{_libdir}/pkgconfig/libroareio.pc
%{_libdir}/pkgconfig/libroarlight.pc
%{_libdir}/pkgconfig/libroarmidi.pc
%{_libdir}/roaraudio/complibs/lib*.so
%doc %{_mandir}/man3/*.3*

%changelog
* Thu Jul 19 2012 pascal.bleser@opensuse.org
- don't build against celt on 12.2 either, too old too (or too recent), breaks
* Thu Jul 19 2012 pascal.bleser@opensuse.org
- initial version (0.99+1.0beta2)
